<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.137.10.212
Name: Diagnosis Section
Description: The Diagnosis section contains diagnoses on all specimens that are delivered to the pathology department from one operation or patient visit to a single clinician on a particular day. The diagnoses for each specimen or group of specimens are reported separately. This section includes additional pathologic finding(s) and the results of ancillary study(ies) and may include diagrams and still images or virtual slides, if taken. In case of cancer, this section includes the cancer checklist.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000">
   <title>Diagnosis Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.212
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]
Item: (DiagnosisSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.212
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]
Item: (DiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]"
         id="d42e293-false-d1047e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="string(@classCode) = ('DOCSECT')">(DiagnosisSection): de waarde van classCode MOET 'DOCSECT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']) &gt;= 1">(DiagnosisSection): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']) &lt;= 1">(DiagnosisSection): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="count(hl7:code[(@code = '22637-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(DiagnosisSection): element hl7:code[(@code = '22637-3' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="count(hl7:code[(@code = '22637-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(DiagnosisSection): element hl7:code[(@code = '22637-3' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DiagnosisSection): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DiagnosisSection): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(DiagnosisSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(DiagnosisSection): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.430']]]) &gt;= 1">(DiagnosisSection): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.430']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.212
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']
Item: (DiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']"
         id="d42e297-false-d1102e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(DiagnosisSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.137.10.212')">(DiagnosisSection): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.137.10.212' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.212
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]/hl7:code[(@code = '22637-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (DiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]/hl7:code[(@code = '22637-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e302-false-d1117e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(DiagnosisSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="@nullFlavor or (@code='22637-3' and @codeSystem='2.16.840.1.113883.6.1')">(DiagnosisSection): de elementwaarde MOET een zijn van 'code '22637-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.212
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]/hl7:title[not(@nullFlavor)]
Item: (DiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]/hl7:title[not(@nullFlavor)]"
         id="d42e307-false-d1133e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(DiagnosisSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="text()='Conclusie en diagnosen' or text()='Conclusie'">(DiagnosisSection): de elementinhoud van hl7:title[not(@nullFlavor)] MOET ''Conclusie en diagnosen' of 'Conclusie'' zijn. Gevonden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.212
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]/hl7:text[not(@nullFlavor)]
Item: (DiagnosisSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]/hl7:text[not(@nullFlavor)]"
         id="d42e316-false-d1149e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(DiagnosisSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.212
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.430']]]
Item: (DiagnosisSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.212']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.430']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.212-2023-09-22T120000.html"
              test="string(@typeCode) = ('DRIV')">(DiagnosisSection): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
